Returns information on all topics from a project.
GET /projects/{id}/articles
Authentication
This request requires basic authentication.
Request Parameters
Path params
| id | string |
The ID of the project or publication to get topics from. |
|---|
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request GET 'https://{portal-url}/api/v1/projects/project-deep-space-exploration/articles' |
Response body sample
JSON |
[JSON] [ { "assigneeUserName": null, "createdOn": "2021-04-07T15:54:18", "ftsSnippetHtml": null, "ftsTitleHtml": null, "fullUrl": "https://docs.hedronlabs.org/articles/project-deep-space-exploration/outer-space", "html": null, "id": "outer-space", "indexKeywords": [], "modifiedOn": "2022-08-17T10:30:56", "ownerUserName": null, "projectId": "project-deep-space-exploration", "projectTitle": "Project Deep Space Exploration", "projectUrl": "project-deep-space-exploration", "smartLink": "https://docs.hedronlabs.org/smart/project-deep-space-exploration/outer-space", "statusName": null, "title": "Outer space", "tocNodeId": "0e7adad0-2572-4966-8f02-bc46930cf848", "url": "outer-space" }, { "assigneeUserName": null, "createdOn": "2021-04-08T14:19:09", "ftsSnippetHtml": null, "ftsTitleHtml": null, "fullUrl": "https://docs.hedronlabs.org/articles/project-deep-space-exploration/astronomical-objec", "html": null, "id": "astronomical-objec", "indexKeywords": [], "modifiedOn": "2022-09-20T09:33:14", "ownerUserName": null, "projectId": "project-deep-space-exploration", "projectTitle": "Project Deep Space Exploration", "projectUrl": "project-deep-space-exploration", "smartLink": "https://docs.hedronlabs.org/smart/project-deep-space-exploration/astronomical-objec", "statusName": null, "title": "Astronomical object", "tocNodeId": "928d32c6-579b-4e98-a79e-aae03f12f1b5", "url": "astronomical-objec" } ] |
Response fields
| assigneeUserName |
Topic assignee's login.
|
|---|---|
| body | The content of the <body> tag of the topic. Returns null for all methods except Get Topic. |
| createdOn | An ISO 8601 timestamp of the topic creation date. GMT timezone. |
|
ftsSnippetHtml
|
The HTML markup of the topic title with a full-text search query matches highlighted. Populated only when isReturnSnippets is greater than zero. |
|
ftsTitleHtml
|
The HTML markup of a topic content snippet with a full-text search query matches highlighted. Populated only when isReturnSnippets is greater than zero. |
|
fullUrl
|
Full topic URL.
|
|
html
|
The HTML content of the topic. Returns null for all methods except Get Topic. |
|
id
|
The ID of the topic.
|
|
indexKeywords
|
An array of strings containing index keywords associated with the topic. Hierarchical keywords are represented as comma-separated values. |
|
modifiedOn
|
An ISO 8601 timestamp of the topic modification date. GMT timezone. |
|
ownerUserName
|
Topic owner's login.
|
|
projectId
|
The unique identifier of the project or publication. |
|
projectTitle
|
The title of the project or publication the topic belongs to.
|
|
projectUrl
|
[deprecated] Same as projectId.
|
|
smartLink
|
Smart link generated for the topic.
|
|
statusName
|
Topic's workflow status.
|
|
title
|
The topic title.
|
|
tocNodeId
|
The ID of the TOC node associated with the topic.
|
|
url
|
[deprecated] Same as id. |